# osg::CullSettings::ClampProjectionMatrixCallback Struct Reference

Callback for overriding the CullVisitor's default clamping of the projection matrix to computed near and far values. More...

Inheritance diagram for osg::CullSettings::ClampProjectionMatrixCallback:

[legend]
List of all members.

## Public Member Functions

virtual bool | clampProjectionMatrixImplementation (osg::Matrixf &projection, double &znear, double &zfar) const =0
virtual bool | clampProjectionMatrixImplementation (osg::Matrixd &projection, double &znear, double &zfar) const =0

## Detailed Description

Callback for overriding the CullVisitor's default clamping of the projection matrix to computed near and far values.

Note, both Matrixf and Matrixd versions of clampProjectionMatrixImplementation must be implemented as the CullVisitor can target either Matrix data type, configured at compile time.

## Member Function Documentation

virtual bool osg::CullSettings::ClampProjectionMatrixCallback::clampProjectionMatrixImplementation | ( | osg::Matrixd & | projection,
|  | double & | znear,
|  | double & | zfar
| ) | const`[pure virtual]`

virtual bool osg::CullSettings::ClampProjectionMatrixCallback::clampProjectionMatrixImplementation | ( | osg::Matrixf & | projection,
|  | double & | znear,
|  | double & | zfar
| ) | const`[pure virtual]`

The documentation for this struct was generated from the following file:

- CullSettings